petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMHasCreateRestriction

does the DM object have a method of providing a restriction?

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMHasCreateRestriction(DM dm,PetscBool *flg)

Not Collective

### Input Parameter

dm -the DM object

### Output Parameter

flg -PETSC_TRUE if the DM has facilities for DMCreateRestriction().

### See Also

DMCreateRestriction()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages